Bug 80240 - [Forms] The "progress" element should not be a form-associated element.
Summary: [Forms] The "progress" element should not be a form-associated element.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: yosin
URL:
Keywords:
Depends on: 80380 80392
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 21:40 PST by yosin
Modified: 2012-03-16 08:01 PDT (History)
6 users (show)

See Also:


Attachments
Patch 1 (15.92 KB, patch)
2012-03-16 01:28 PDT, yosin
no flags Details | Formatted Diff | Diff
Patch 2 (15.92 KB, patch)
2012-03-16 03:19 PDT, yosin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yosin 2012-03-04 21:40:35 PST
According the specification, the "progress" element isn't a form-associate element.
http://www.whatwg.org/specs/web-apps/current-work/multipage/forms.html#form-associated-element

However, current implementation of HTMLProgressElement is derived from HTMLFormControlElement. We have unexpected dependency between HTMLProgressElement and HTMLFormControlElement and FormAssociatedElement. Also, We waste time in loop of HTMLFormElement::m_associatedElements.

For clear understanding and better maintainability, it is better that C++ class hierarchy should be similar to specified in the specification.
Comment 1 yosin 2012-03-05 23:00:05 PST
This bug is part of HTMLFormControlElement re-factoring meta bug https://bugs.webkit.org/show_bug.cgi?id=80381
Comment 2 yosin 2012-03-16 01:28:19 PDT
Created attachment 132228 [details]
Patch 1
Comment 3 Kent Tamura 2012-03-16 02:48:14 PDT
Comment on attachment 132228 [details]
Patch 1

View in context: https://bugs.webkit.org/attachment.cgi?id=132228&action=review

> Source/WebCore/ChangeLog:10
> +        extra "meter" elements in HTMLFormElement::m_formAssociatedElements

This is not a "meter"
Comment 4 yosin 2012-03-16 03:19:36 PDT
Created attachment 132240 [details]
Patch 2
Comment 5 yosin 2012-03-16 03:20:17 PDT
(In reply to comment #3)
> (From update of attachment 132228 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=132228&action=review
> 
> > Source/WebCore/ChangeLog:10
> > +        extra "meter" elements in HTMLFormElement::m_formAssociatedElements
> 
> This is not a "meter"

Oops, I forgot to update this one... orz
Comment 6 Kent Tamura 2012-03-16 03:20:57 PDT
Comment on attachment 132240 [details]
Patch 2

ok
Comment 7 WebKit Review Bot 2012-03-16 08:01:32 PDT
Comment on attachment 132240 [details]
Patch 2

Clearing flags on attachment: 132240

Committed r111009: <http://trac.webkit.org/changeset/111009>
Comment 8 WebKit Review Bot 2012-03-16 08:01:38 PDT
All reviewed patches have been landed.  Closing bug.